<%
// Licensed Materials - Property of IBM
// supportPac LA01
// Copyright IBM Corp. 2008, 2011 All Rights Reserved
// US Government Users Restricted Rights - Use, duplication or
// disclosure restricted by GSA ADP Schedule Contract with
// IBM Corp.
%>

<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>

<h:panelGrid columns="3" styleClass="details" columnClasses="propertyClass, valueClass, bodytexterror">
<h:outputLabel value="RuleXpress Property Group:"/>
<h:inputText id="group" value="#{rxConfigBean.currentImportPropertyBean.editingPropertyID.group}" required="true" title="group" alt="altgroup" />
<h:message for="group"  styleClass="bodytexterror" />
<h:outputLabel value="RuleXpress Property Name:"/>
<h:inputText id="name" value="#{rxConfigBean.currentImportPropertyBean.editingPropertyID.name}" required="true"/>
<h:message for="name"  styleClass="bodytexterror" />
<h:outputLabel value="RuleXpress Property Type:"/>
<h:selectOneMenu id="type" value="#{rxConfigBean.currentImportPropertyBean.editingPropertyID.type}" required="true">
	<f:selectItem itemValue="StrVal" itemLabel="StrVal"/>
	<f:selectItem itemValue="BoolVal" itemLabel="BoolVal"/>
	<f:selectItem itemValue="IntVal" itemLabel="IntVal"/>
	<f:selectItem itemValue="RealVal" itemLabel="RealVal"/>
	<f:selectItem itemValue="DateTimeVal" itemLabel="DateTimeVal"/>
	<f:selectItem itemValue="PathVal" itemLabel="PathVal"/>
	<f:selectItem itemValue="URLVal" itemLabel="URLVal"/>
</h:selectOneMenu>
<h:message for="type"  styleClass="bodytexterror" />
<h:outputLabel value="RTS Rule Property:"/>
<h:selectOneMenu id="rtsProperty" value="#{rxConfigBean.currentImportPropertyBean.rtsPropertyName}" required="true">
	<f:selectItems value="#{rxConfigBean.importRtsProperties}"/>
</h:selectOneMenu>
<h:message for="rtsProperty"  styleClass="bodytexterror" />
</h:panelGrid>

<f:verbatim>
	<hr>
	<div id="DialogFooter">
</f:verbatim>
	<h:commandButton styleClass="buttons" action="#{rxConfigBean.saveImportProperty}" value="Save" />
	<h:commandButton styleClass="buttons" action="rx_config" value="#{bundle.cancel_key}" immediate="true"/>
<f:verbatim>
	</div>
</f:verbatim>