<%
// Licensed Materials - Property of IBM
// supportPac LA01
// Copyright IBM Corp. 2008, 2011 All Rights Reserved
// US Government Users Restricted Rights - Use, duplication or
// disclosure restricted by GSA ADP Schedule Contract with
// IBM Corp.
%>

<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>

<h:panelGrid columns="2">
	<h:outputLabel value="RuleXpress Community:"/>
	<h:outputText value="#{RuleXpressBean.publication.communitySignifier}"/>
</h:panelGrid>
<h:panelGrid>
	<h:outputText value="Following rules have been imported:"/>
	<h:panelGroup styleClass="errorBox" rendered="#{! empty facesContext.maximumSeverity}">
		<h:messages layout="table" styleClass="bodytexterror"></h:messages>
	</h:panelGroup>
</h:panelGrid>
<h:dataTable id="selectRules" value="#{RuleXpressBean.rules}" var="rule" styleClass="rulelist" rules="row">
	<h:column>
		<f:facet name="header">
			<h:outputText value="Rule Name" />
		</f:facet>
		<h:outputText value="#{rule.rule.name}" rendered="#{rule.selected}" />
	</h:column>
	<h:column>
		<f:facet name="header">
			<h:outputText value="Status" />
		</f:facet>
		<h:outputText value="#{rule.status}" rendered="#{rule.selected}" />
	</h:column>	
	<h:column>
		<f:facet name="header">
			<h:outputText value="Reason" />
		</f:facet>
		<h:outputText value="#{rule.message}" rendered="#{rule.selected}" />
	</h:column>		
</h:dataTable>
<f:verbatim>
	<br>
	<div id="DialogFooter">
</f:verbatim>
		<h:commandButton  styleClass="buttons" action="rulexpress" value="#{bundle.ok_key}" immediate="true"/>
<f:verbatim>
	</div>
</f:verbatim>