<%
// Licensed Materials - Property of IBM
// supportPac LA01
// Copyright IBM Corp. 2008, 2011 All Rights Reserved
// US Government Users Restricted Rights - Use, duplication or
// disclosure restricted by GSA ADP Schedule Contract with
// IBM Corp.
%>

<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>

<h:panelGrid columns="2">
<h:outputLabel value="RuleXpress Community:"/>
<h:outputText value="#{RuleXpressBean.publication.communitySignifier}"/>
</h:panelGrid>
<h:panelGrid>
<h:messages showDetail="true" styleClass="bodytexterror"></h:messages>
</h:panelGrid>
<f:verbatim>
<script src="rowSelector.js" language="javascript" type="text/javascript"></script>
</f:verbatim>
<h:dataTable id="selectRules" value="#{RuleXpressBean.rules}" var="rule" rules="rows" styleClass="rulelist">
	<h:column>
		<f:facet name="header">
			<h:selectBooleanCheckbox id="_checkedAll" value="#{RuleXpressBean.selectAll}" onclick="CA()"/>
		</f:facet>
		<h:selectBooleanCheckbox id="selectRow" value="#{rule.selected}" onclick="CCA(this)"/>
	</h:column>
	<h:column>
		<f:facet name="header">
			<h:outputText value="RuleXpress Rule Name" />
		</f:facet>
		<h:outputText value="#{rule.rule.name}" />
	</h:column>
	<h:column>
		<f:facet name="header">
			<h:outputText value="Status" />
		</f:facet>
		<h:outputText value="#{rule.status}" rendered="#{rule.selected}" />
	</h:column>
	<h:column>
		<f:facet name="header">
			<h:outputText value="Comments" />
		</f:facet>
		<h:outputText value="#{rule.updateComments}" escape="false" rendered="#{rule.selected}" />
	</h:column>
</h:dataTable>
<f:verbatim>
	<script language="javascript" type="text/javascript">
		initRowSelector('paneForm','paneForm:content:selectRules:','selectRow','selected-row');
	</script>
	<br>
	<div id="DialogFooter">
</f:verbatim>
	<h:commandButton styleClass="buttons"  action="#{RuleXpressBean.submit}" value="Import" />
	<h:commandButton  styleClass="buttons" action="rx_import" value="#{bundle.cancel_key}" immediate="true"/>
<f:verbatim>
	</div>
</f:verbatim>